Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups | Functions
Array.h File Reference
`#include <cstring>`
`#include "Lucene.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::ArrayData< TYPE >
class | Lucene::Array< TYPE >
| Utility template class to handle sharable arrays of simple data types. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

## Functions

template<class TYPE >
std::size_t | Lucene::hash_value (const Array< TYPE > &value)
template<class TYPE >
bool | Lucene::operator== (const Array< TYPE > &value1, const Array< TYPE > &value2)

clucene.sourceforge.net